Bug 242719 - [PATCH] libpcap: fix github issue #893
Summary: [PATCH] libpcap: fix github issue #893
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL: https://github.com/the-tcpdump-group/...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-19 04:10 UTC by Cy Schubert
Modified: 2020-04-22 17:53 UTC (History)
2 users (show)

See Also:
garga: maintainer-feedback+
cy: merge-quarterly-


Attachments
Patch to fix bug #893 (2.10 KB, patch)
2019-12-19 04:11 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2019-12-19 04:10:32 UTC
This fixes issue #893 at https://github.com/the-tcpdump-group/libpcap/issues/893.
Comment 1 Cy Schubert freebsd_committer 2019-12-19 04:11:17 UTC
Created attachment 210052 [details]
Patch to fix bug #893

This fixes https://github.com/the-tcpdump-group/libpcap/issues/893
Comment 2 Renato Botelho freebsd_committer 2019-12-19 16:48:00 UTC
Approved
Comment 3 Cy Schubert freebsd_committer 2019-12-20 14:02:09 UTC
Not worth merging into quarterly as this quarter is almost over.
Comment 4 Cy Schubert freebsd_committer 2019-12-20 14:11:53 UTC
Committed to my git repo. I'll git svn dcommit when my laptop will be connected to the network for a while.
Comment 5 commit-hook freebsd_committer 2019-12-20 15:39:00 UTC
A commit references this bug:

Author: cy
Date: Fri Dec 20 15:38:12 UTC 2019
New revision: 520515
URL: https://svnweb.freebsd.org/changeset/ports/520515

Log:
  Fix libpcap issue #893: check for invalid IPv4 addresses.

  This fixes errors such as:

  tcpdump -i lagg0 net 999.999.999.999

  This was originally discovered on a Red Hat 7.7 server and verified
  to also be a bug on FreeBSD.

  PR:		242719
  Submitted by:	cy
  Reported by:	cy
  Approved by:	garga (maintainer)
  Obtained from:	https://github.com/the-tcpdump-group/libpcap/commit/ \
  		07070918d5e81a515315b395f334e52589fe0fb
  Fixed by:	https://github.com/guyharris

Changes:
  head/net/libpcap/Makefile
  head/net/libpcap/files/patch-gencode.c
  head/net/libpcap/files/patch-nametoaddr.c
Comment 6 Matthias Andree freebsd_committer 2020-04-22 17:44:08 UTC
cy@, if my closing this PR happens in error, please feel free to reopen, just a cleanup after a hint from Daniel Engberg.
Comment 7 Cy Schubert freebsd_committer 2020-04-22 17:53:58 UTC
Thanks, sorry for not closing this.